 #  /********************************************************************************
 #  * Copyright (c) 2020 Contributors to the Eclipse Foundation
 #  *
 #  * See the NOTICE file(s) distributed with this work for additional
 #  * information regarding copyright ownership.
 #  *
 #  * This program and the accompanying materials are made available under the
 #  * terms of the Eclipse Public License v. 2.0 which is available at
 #  * http://www.eclipse.org/legal/epl-2.0.
 #  *
 #  * SPDX-License-Identifier: EPL-2.0
 #  ********************************************************************************/

 # NODEJS BASE IMAGE
FROM node:12.16.3-alpine3.11
LABEL maintainer = "dimitrios.chalepakis@pta.de"

# set working directory
WORKDIR /app

# INSTALL AND CACHE APP DEPENDENCIES
COPY package.json /app/package.json
RUN npm install

# INSTALL http-server which is a simple, zero-configuration command-line http server.
RUN npm i http-server -g

# ADD APP
COPY . /app

# EXPOSE PORTS
EXPOSE 4200 8080 8081 8082

# RUN APPLICATION
CMD ["sh", "dockerScripts/wrapper_script.sh"]
#CMD ["npm", "run", "start-in-docker-develop-be"]
